summaryrefslogtreecommitdiff
path: root/tests/stress_tests/fsstress.collect-crashes.sh
diff options
context:
space:
mode:
authorJakob Unterwurzacher2020-10-03 14:21:21 +0200
committerJakob Unterwurzacher2020-10-04 00:12:25 +0200
commit66449bf56b22d2f6b6309649b4c4819217c1cee5 (patch)
tree63c2c2d507a584daf2a8529003d1209ff34f996d /tests/stress_tests/fsstress.collect-crashes.sh
parent3c5a80c27ba096b6938caf9549227620fa522af4 (diff)
tests: fsstress-gocryptfs.bash: add DEBUG option
Also add a wrapper script, fsstress.collect-crashes.sh, to collect the debug output. https://github.com/hanwen/go-fuse/issues/372
Diffstat (limited to 'tests/stress_tests/fsstress.collect-crashes.sh')
-rwxr-xr-xtests/stress_tests/fsstress.collect-crashes.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/stress_tests/fsstress.collect-crashes.sh b/tests/stress_tests/fsstress.collect-crashes.sh
new file mode 100755
index 0000000..f315e2e
--- /dev/null
+++ b/tests/stress_tests/fsstress.collect-crashes.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+cd ~/go/src/github.com/rfjakob/gocryptfs/tests/stress_tests || exit 1
+export TMPDIR=/mnt/ext4-ramdisk
+# Check that TMPDIR is writeable
+touch "$TMPDIR/$$" || exit 1
+rm "$TMPDIR/$$"
+LOGDIR=/tmp/$$
+mkdir "$LOGDIR" || exit 1
+echo "Logging to LOGDIR=$LOGDIR, TMPDIR=$TMPDIR"
+for i in $(seq 1 1000) ; do
+ set -x
+ LOG="$LOGDIR/fsstress.log.$(date --iso).$i"
+ if [[ -e $LOG ]]; then
+ continue
+ fi
+ rm -Rf "$TMPDIR"/fsstress*
+ # 100000 lines ...... ~7 MB
+ # 1000000 lines ..... ~70 MB
+ # 10000000 lines .... ~700 MB
+ DEBUG=1 ./fsstress-loopback.bash 2>&1 | tail -1000000 > "$LOG"
+done